Bug 1053938 - [abrt] ksh: sh_assignok(): ksh killed by SIGSEGV
Summary: [abrt] ksh: sh_assignok(): ksh killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ksh
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:42d63f87b9db75810c7fded1a22...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 02:57 UTC by Christian Kujau
Modified: 2014-04-14 22:48 UTC (History)
2 users (show)

Fixed In Version: ksh-20120801-17.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-14 22:44:19 UTC


Attachments (Terms of Use)
File: backtrace (221.56 KB, text/plain)
2014-01-16 02:57 UTC, Christian Kujau
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-16 02:57 UTC, Christian Kujau
no flags Details
File: core_backtrace (71.67 KB, text/plain)
2014-01-16 02:57 UTC, Christian Kujau
no flags Details
File: dso_list (553 bytes, text/plain)
2014-01-16 02:57 UTC, Christian Kujau
no flags Details
File: environ (3.00 KB, text/plain)
2014-01-16 02:57 UTC, Christian Kujau
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-16 02:57 UTC, Christian Kujau
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-16 02:57 UTC, Christian Kujau
no flags Details
File: maps (3.14 KB, text/plain)
2014-01-16 02:57 UTC, Christian Kujau
no flags Details
File: open_fds (105 bytes, text/plain)
2014-01-16 02:57 UTC, Christian Kujau
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2014-01-16 02:57 UTC, Christian Kujau
no flags Details
File: var_log_messages (1.91 KB, text/plain)
2014-01-16 02:57 UTC, Christian Kujau
no flags Details

Description Christian Kujau 2014-01-16 02:57:15 UTC
Description of problem:
ksh executing a script

Version-Release number of selected component:
ksh-20120801-11.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        ksh /home/christian/bin/fib.sh 25
crash_function: sh_assignok
executable:     /usr/bin/ksh
kernel:         3.12.6-300.fc20.x86_64
runlevel:       5 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sh_assignok at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/subshell.c:243
 #1 nv_putval at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/name.c:1615
 #2 b_dot_cmd at /usr/src/debug/ksh-20120801/src/cmd/ksh93/bltins/misc.c:316
 #3 sh_funct at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/xec.c:3523
 #4 sh_exec at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/xec.c:1579
 #5 sh_subshell at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/subshell.c:590
 #6 comsubst at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/macro.c:2135
 #7 varsub at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/macro.c:1168
 #8 copyto at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/macro.c:633
 #9 sh_mactrim at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/macro.c:183

Comment 1 Christian Kujau 2014-01-16 02:57:19 UTC
Created attachment 850800 [details]
File: backtrace

Comment 2 Christian Kujau 2014-01-16 02:57:21 UTC
Created attachment 850801 [details]
File: cgroup

Comment 3 Christian Kujau 2014-01-16 02:57:22 UTC
Created attachment 850802 [details]
File: core_backtrace

Comment 4 Christian Kujau 2014-01-16 02:57:24 UTC
Created attachment 850803 [details]
File: dso_list

Comment 5 Christian Kujau 2014-01-16 02:57:25 UTC
Created attachment 850804 [details]
File: environ

Comment 6 Christian Kujau 2014-01-16 02:57:26 UTC
Created attachment 850805 [details]
File: exploitable

Comment 7 Christian Kujau 2014-01-16 02:57:28 UTC
Created attachment 850806 [details]
File: limits

Comment 8 Christian Kujau 2014-01-16 02:57:29 UTC
Created attachment 850807 [details]
File: maps

Comment 9 Christian Kujau 2014-01-16 02:57:31 UTC
Created attachment 850808 [details]
File: open_fds

Comment 10 Christian Kujau 2014-01-16 02:57:33 UTC
Created attachment 850809 [details]
File: proc_pid_status

Comment 11 Christian Kujau 2014-01-16 02:57:34 UTC
Created attachment 850810 [details]
File: var_log_messages

Comment 12 Christian Kujau 2014-01-16 03:18:01 UTC
FWIW, this "fib.sh" is a small script to generate Fibonacci numbers, written by someone else: http://stackoverflow.com/a/19624322/2303098

And yeah, it's 100% reproducible with ksh with arguments greater than 24. bash,zsh seem to be fine. Also, ksh on an entirely different system (powerpc, ksh 93u+ 2012-02-29) dumps core as well, so this may be an "upstream" issue, if there is such a thing for "ksh".

Comment 13 Fedora Update System 2014-01-17 15:25:29 UTC
ksh-20120801-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ksh-20120801-12.fc19

Comment 14 Fedora Update System 2014-01-17 15:25:36 UTC
ksh-20120801-14.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ksh-20120801-14.fc20

Comment 15 Fedora Update System 2014-01-18 04:21:55 UTC
Package ksh-20120801-14.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ksh-20120801-14.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1035/ksh-20120801-14.fc20
then log in and leave karma (feedback).

Comment 16 thomas.swan 2014-03-01 02:27:02 UTC
After installing this update, ksh-20120801-14, man ksh inside ksh freezes the shell and it must be killed with SIGKILL.

Running transaction
  Updating   : ksh-20120801-14.fc20.x86_64                                  1/2 
  Cleanup    : ksh-20120801-11.fc20.x86_64                                  2/2 
  Verifying  : ksh-20120801-14.fc20.x86_64                                  1/2 
  Verifying  : ksh-20120801-11.fc20.x86_64                                  2/2 

Updated:
  ksh.x86_64 0:20120801-14.fc20                                                 

Complete!
[sample@example ~]$ ksh
$ man ksh


Killed

Comment 17 Fedora Update System 2014-04-14 22:44:19 UTC
ksh-20120801-15.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-04-14 22:48:19 UTC
ksh-20120801-17.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.